using CarCenterContracts.BindingModels;
using CarCenterContracts.SearchModels;
using CarCenterContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CarCenterContracts.StoragesContracts
{
    public interface IAdministratorStorage
    {
        List<AdministratorViewModel> GetFullList();

        List<AdministratorViewModel> GetFilteredList(AdministratorSearchModel model);

        AdministratorViewModel? GetElement(AdministratorSearchModel model);

        AdministratorViewModel? Insert(AdministratorBindingModel model);

        AdministratorViewModel? Update(AdministratorBindingModel model);

        AdministratorViewModel? Delete(AdministratorBindingModel model);
    }
}
